| dfeprach Vitis Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

- Data Structures
- Data Fields

Data Fields
XDfePrach_ModelParameters Struct Reference
Overview

PRACH model parameters. More...

## Data Fields
u32 | NumAntenna [XDFEPRACH_BAND_ID_MAX]
| [1-8] CORE.MODEL_PARAM.NUM_ANTENNA More...
u32 | NumCCPerAntenna [XDFEPRACH_BAND_ID_MAX]
| [1-16] CORE.MODEL_PARAM.NUM_CC_PER_ANTENNA More...
u32 | NumAntennaChannels [XDFEPRACH_BAND_ID_MAX]
| [1-4] CORE.MODEL_PARAM.NUM_SLOT_CHANNELS More...
u32 | NumAntennaSlots [XDFEPRACH_BAND_ID_MAX]
| [1-8] CORE.MODEL_PARAM.NUM_SLOTS More...
u32 | NumRachLanes
| [1-2] CORE.MODEL_PARAM.NUM_RACH_LANES More...
u32 | NumRachChannels
| [1-16] CORE.MODEL_PARAM.NUM_RACH_CHANNELS More...
u32 | HasAxisCtrl
| [0,1] CORE.MODEL_PARAM.HAS_AXIS_CTRL More...
u32 | HasIrq
| [0,1] CORE.MODEL_PARAM.HAS_IRQ More...
u32 | NumBands
| [1-3] CORE.MODEL_PARAM.NUM_BANDS More...
u32 | HasContinuousSched
| [0,1] CORE.MODEL_PARAM.XDFEPRACH_HAS_CONTINUOUS_SCHED More...

## Detailed Description

PRACH model parameters.

Data defined in Device tree/xparameters.h

## Field Documentation

u32 XDfePrach_ModelParameters::HasAxisCtrl

[0,1] CORE.MODEL_PARAM.HAS_AXIS_CTRL

Referenced by XDfePrach_Configure().

u32 XDfePrach_ModelParameters::HasContinuousSched

[0,1] CORE.MODEL_PARAM.XDFEPRACH_HAS_CONTINUOUS_SCHED

Referenced by XDfePrach_Configure().

u32 XDfePrach_ModelParameters::HasIrq

[0,1] CORE.MODEL_PARAM.HAS_IRQ

Referenced by XDfePrach_Configure().

u32 XDfePrach_ModelParameters::NumAntenna[XDFEPRACH_BAND_ID_MAX]

[1-8] CORE.MODEL_PARAM.NUM_ANTENNA

Referenced by XDfePrach_Configure().

u32 XDfePrach_ModelParameters::NumAntennaChannels[XDFEPRACH_BAND_ID_MAX]

[1-4] CORE.MODEL_PARAM.NUM_SLOT_CHANNELS

Referenced by XDfePrach_Configure().

u32 XDfePrach_ModelParameters::NumAntennaSlots[XDFEPRACH_BAND_ID_MAX]

[1-8] CORE.MODEL_PARAM.NUM_SLOTS

Referenced by XDfePrach_2CC3RCDynamicTestExample(), XDfePrach_2CC3RCReconfigureTestExample(), XDfePrach_2CC3RCTestExample(), and XDfePrach_Configure().

u32 XDfePrach_ModelParameters::NumBands

[1-3] CORE.MODEL_PARAM.NUM_BANDS

Referenced by XDfePrach_Configure().

u32 XDfePrach_ModelParameters::NumCCPerAntenna[XDFEPRACH_BAND_ID_MAX]

[1-16] CORE.MODEL_PARAM.NUM_CC_PER_ANTENNA

Referenced by XDfePrach_Configure().

u32 XDfePrach_ModelParameters::NumRachChannels

[1-16] CORE.MODEL_PARAM.NUM_RACH_CHANNELS

Referenced by XDfePrach_Configure().

u32 XDfePrach_ModelParameters::NumRachLanes

[1-2] CORE.MODEL_PARAM.NUM_RACH_LANES

Referenced by XDfePrach_Configure().